﻿/*== CABECERA ==*/

.cabecera {
    display: flex;
    flex-flow: column nowrap;
    background-color: white;
    color: gray;
    width: 100%;
    padding-left: 20%;
    padding-right: 20%;
    border-bottom: 1px solid #eee;
    position: relative;
    z-index: 1;
}

    .cabecera > div:first-of-type {
        display: flex;
        flex-flow: row nowrap;
        justify-content: space-between;
        flex: 1;
    }

    .cabecera table .celdaMenu {
        text-align: right;
        vertical-align: top;
        padding: 14px 16px;
    }

        .cabecera table .celdaMenu .iconoMenu {
            padding-right: 10px;
            color: gray;
        }

        .cabecera table .celdaMenu .textoMenu {
            color: gray;
            text-transform: uppercase;
        }

        .cabecera table .celdaMenu .multiopcion {
            float: right;
            text-align: center;
            text-decoration: none;
            margin-left: 5px;
        }

.cabecera-menu-superior {
    display: flex;
    align-items: center;
}

    .cabecera-menu-superior div > a {
        display: flex;
        flex-flow: column nowrap;
        align-items: center;
        justify-content: center;
        text-decoration: none;
        border-radius: 5px;
        padding: 1em;
        margin: 0 0.2em;
        height: 100%;
        min-width: 3.5em;
    }

    .cabecera-menu-superior div a:hover,
    .cabecera-menu-superior div a:focus {
        background-color: #eee;
    }

#title-bar {
    position: absolute;
    width: 90%;
    left: 5%;
}

a :hover {
    cursor: pointer;
}

.footer {
    right: 0;
    bottom: 0;
    width: 100%;
    height: 40px;
    line-height: 40px;
    background-color: #f5f5f5;
    display: block;
    position: fixed;
    z-index: 5;
}

.dropdown-menu {
    border: none;
}

/* Computer */
@media (min-width: 1000px) {

    .cabecera table .celdaMenu .mensajeCabecera {
        margin-top: 80px;
        text-align: right;
    }

    .lnkImagen {
        height: 120px;
        padding: 1%;
    }

        .lnkImagen img {
            height: 120px;
        }

        .publicidadLateral {
            max-height:120px;
            max-width:200px;
        }

    .cabecera {
        height: 150px;
    }
}

/* Tablet */
@media (min-width: 425px) and (max-width: 1000px) {

    .cabecera {
        height: 70px;
        padding-left: 1%;
        padding-right: 1%;
    }

        .cabecera table .celdaMenu {
            padding: 10px 12px;
        }

            .cabecera table .celdaMenu .iconoMenu {
                padding-right: 8px;
            }

    .cabecera-menu-superior div {
        height: 100%;
    }

    .lnkImagen {
        height: 80px;
        padding: 1%;
    }

        .lnkImagen img {
            max-height: 2.2em;
        }

    .publicidadLateral {
        max-height: 60px;
        max-width: 100px;
    }

    #title-bar {
        left: 0;
        width: 100%;
    }
}

/* Mobile */
@media (max-width: 425px) {

    .cabecera {
        height: 50px;
        padding-left: 1%;
        padding-right: 1%;
    }

        .cabecera table .celdaMenu {
            padding: 8px 10px;
        }

            .cabecera table .celdaMenu .iconoMenu {
                padding-right: 6px;
                font-size: 14px;
            }

            .cabecera table .celdaMenu .textoMenu {
                display: none;
            }

    .lnkImagen img {
        max-height: 2.2em;
    }

    .publicidadLateral {
        max-height: 40px;
        max-width: 66px;
    }

    .textoLargo {
        display: none;
    }

    #title-bar {
        left: 0;
        width: 100%;
    }
}


/*== PUBLI ==*/

.pagina {
    background: rgba(255,255,255,0.8);
    backdrop-filter: blur(15px);
    min-height: 100vh;
    display: block;
    margin: 0px 5%;
}

.carousel {
    height: 200px;
}

.carousel-inner > .item > img {
    margin: 0 auto;
    height: 200px;
}

.carousel-control.left, .carousel-control.right {
    background-image: none
}

/* Tablet */
@media (min-width: 425px) and (max-width: 1000px) {

    .pagina {
        margin: 0px 2%;
    }

    .carousel {
        height: 150px;
    }

    .carousel-inner > .item > img {
        height: 150px;
    }
}

/* Mobile */
@media (max-width: 425px) {

    .pagina {
        margin: 0;
        overflow-x: hidden;
    }

    .carousel {
        height: 100px;
    }

    .carousel-inner > .item > img {
        height: 100px;
    }
}


/*== CUERPO ==*/

.cuerpo {
    height: 100%;
    padding: 20px;
    padding-top: 5em !important;
}

.info-panels-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
}

    .info-panels-container .gn-panel-info {
        max-width: 35em;
        margin: 1em;
    }


@media print {
    .noimprimir, .noimprimir * {
        display: none !important;
    }
}

@media screen and (max-width: 1000px) {
    .cuerpo h2 {
        margin-top: 0;
    }

    .scrollable {
        overflow: scroll scroll;
    }
}

@media screen and (max-width: 425px) {
    .cuerpo {
        padding: 10px;
    }
}

/*== NOTIFICACIÓN ==*/

.notificacion {
    position: fixed;
    top: 250px;
    margin-left: 10%;
    width: 80%;
    height: 80px;
    padding: 10px;
    border-radius: 5px;
    box-shadow: 0 5px 10px #0000002b;
}

.exito {
    background-color: #5cb85c;
    color: white;
}

.fracaso {
    background-color: #d9534f;
    color: white;
}
